Neptune setup error


#1

I used pip install -U neptune-cli : some more info
Command “c:\users\everma\neptune\scripts\python.exe -u -c “import setuptools, tokenize;file=‘C:\Users\EVerma\AppData\Local\Temp\pip-build-6b2qvzs0\psutil\setup.py’;f=getattr(tokenize, ‘open’, open)(file);code=f.read().replace(’\r\n’, ‘\n’);f.close();exec(compile(code, file, ‘exec’))” install --record C:\Users\EVerma\AppData\Local\Temp\pip-s3v35_c5-record\install-record.txt --single-version-externally-managed --compile --install-headers c:\users\everma\neptune\include\site\python3.6\psutil” failed with error code 1 in C:\Users\EVerma\AppData\Local\Temp\pip-build-6b2qvzs0\psutil\


#2

Could you provide us some more logs from pip. Currently it is hard to tell, what is going on.

Best regards.


#3

Hello,
Complete error thrown

Command “c:\users\everma\neptune\scripts\python.exe -u -c “import setuptools, tokenize;file=‘C:\Users\EVerma\AppData\Local\Temp\pip-build-6b2qvzs0\psutil\setup.py’;f=getattr(tokenize, ‘open’, open)(file);code=f.read().replace(’\r\n’, ‘\n’);f.close();exec(compile(code, file, ‘exec’))” install --record C:\Users\EVerma\AppData\Local\Temp\pip-s3v35_c5-record\install-record.txt --single-version-externally-managed --compile --install-headers c:\users\everma\neptune\include\site\python3.6\psutil” failed with error code 1 in C:\Users\EVerma\AppData\Local\Temp\pip-build-6b2qvzs0\psutil\


#4

@eshadow It looks like there are problems with installing the required psutil package. Please try to install neptune-cli in a virtualenv: https://virtualenv.pypa.io/en/stable/ and let us know if it helped.

To investigate why neptune-cli won’t install globally, we will need information about your version of Windows, version of Python and output of pip list / pip3 list containing versions of all packages installed on your system.


#5

@dominik.jastrzebski I did exactly that .The error generated is resultant of the process.
I still haven’t figured out the issue though


#6

We will release new version of CLI on Monday. It will solve installation issues on Windows.

Unnecessary detail: We have upgraded psutil package. If you have newest pip, psutil will not need compilation on your system.


#7

New version of cli with fix for installation issues on Windows has just been released.


#8

I was running into the same error on Ubuntu 16.04 with python 3.6.

Solution:
Installing python3.6-dev package resolved the issue.
sudo apt-get install python3.6-dev

I also updated setuptools to the latest version (39.0.1) before installing python3.6-dev. Probably helped.